<?php 
require "../../../../wp-load.php";
header('Content-Type: application/json');

$currentUser = get_current_user_id();
if(!current_user_can('administrator')){ 
    if(!wcfm_is_vendor(get_current_user_id())) {
        die('{"status": "'.esc_html__('Permission error', 'mtnft').'"}');
    }
}

global $wp_filesystem;

if (empty($wp_filesystem)) {
    require_once (ABSPATH . '/wp-admin/includes/file.php');
    WP_Filesystem();
}

$raw_post_data =  $wp_filesystem->get_contents('php://input');

if(empty($raw_post_data)) {
    echo json_encode([
        "key" => get_user_meta( $currentUser, '_mtnft_addon_wcfm_api'),
        "referral" => get_user_meta( $currentUser, '_mtnft_addon_wcfm_referral')
    ]);
} else {
    $data = json_decode($raw_post_data,true);
    update_user_meta( $currentUser, '_mtnft_addon_wcfm_api', $data['key']);
    update_user_meta( $currentUser, '_mtnft_addon_wcfm_referral', $data['referral']);
    echo json_encode(['status' => "success"]);
}