<?php
require "../../../../wp-load.php";
if(!current_user_can('administrator')){ 
    if(!wcfm_is_vendor(get_current_user_id())) {
        die('{"status": "'.esc_html__('Permission error', 'mtnft').'"}');
    }
}
?>

<div id="app" 
    data-wp-install-path="<?php echo esc_attr(get_option('siteurl')) ?>" 
    data-api-path="<?php echo esc_attr(get_rest_url()) ?>"
    data-nonce="<?php echo esc_attr(wp_create_nonce('wp_rest')) ?>"
    data-plugin-path="<?php echo  esc_attr(plugin_dir_url( dirname(__FILE__) )) ?>"
    data-has-api-key="false"
>
    <noscript><?php echo esc_html__('You need javascript enabled to see this content', 'mtnft_addon_wcfm'); ?>.</noscript>
    <?php echo esc_html__('Loading...', 'mtnft_addon_wcfm'); ?>
</div>	

<?php
    if(class_exists('Vite')) {
        $vite = new Vite();

        echo $vite->iframeLoad();
    }

do_action("mtnft_addon_wcfm_custom_css");

?>

<style>
    .ant-steps-item-process .ant-steps-item-icon>.ant-steps-icon, .ant-steps-item-icon .ant-steps-icon {
        top:4px !important;
    }
    .ant-col-6 {
        max-width:100%;
    }
</style>